summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/tabu_audio_player/README4
-rw-r--r--multimedia/tabu_audio_player/slack-desc19
-rw-r--r--multimedia/tabu_audio_player/tabu_audio_player.SlackBuild95
-rw-r--r--multimedia/tabu_audio_player/tabu_audio_player.info10
4 files changed, 128 insertions, 0 deletions
diff --git a/multimedia/tabu_audio_player/README b/multimedia/tabu_audio_player/README
new file mode 100644
index 0000000000..d2881126bd
--- /dev/null
+++ b/multimedia/tabu_audio_player/README
@@ -0,0 +1,4 @@
+Tabu Audio Player
+
+Simple gstreamer audio player with client-side decorations and playback
+controls drawn with cairo.
diff --git a/multimedia/tabu_audio_player/slack-desc b/multimedia/tabu_audio_player/slack-desc
new file mode 100644
index 0000000000..fcce3798a4
--- /dev/null
+++ b/multimedia/tabu_audio_player/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+tabu_audio_player: Tabu Audio Player (gstreamer audio player)
+tabu_audio_player:
+tabu_audio_player: Simple gstreamer audio player with client-side decorations and
+tabu_audio_player: playback controls drawn with cairo.
+tabu_audio_player:
+tabu_audio_player: Homepage: http://www.kalmbach.com.ar/?page_id=7
+tabu_audio_player:
+tabu_audio_player:
+tabu_audio_player:
+tabu_audio_player:
+tabu_audio_player:
diff --git a/multimedia/tabu_audio_player/tabu_audio_player.SlackBuild b/multimedia/tabu_audio_player/tabu_audio_player.SlackBuild
new file mode 100644
index 0000000000..5fc8555f9a
--- /dev/null
+++ b/multimedia/tabu_audio_player/tabu_audio_player.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for Tabu Audio Player
+
+# Copyright (c) 2009, Luciano Tropea <luxiano.a2000@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tabu_audio_player
+VERSION=2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Kill an empty directory
+rmdir $PKG/usr/share 2>/dev/null || true
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/tabu_audio_player/tabu_audio_player.info b/multimedia/tabu_audio_player/tabu_audio_player.info
new file mode 100644
index 0000000000..09719c4217
--- /dev/null
+++ b/multimedia/tabu_audio_player/tabu_audio_player.info
@@ -0,0 +1,10 @@
+PRGNAM="tabu_audio_player"
+VERSION="2.0"
+HOMEPAGE="http://www.kalmbach.com.ar/?page_id=7"
+DOWNLOAD="http://kalmbach.com.ar/download/tabu_audio_player-2.0.tar.gz"
+MD5SUM="783e2e2d6da7a8958b91e3763c00d39b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luciano Tropea"
+EMAIL="luxiano.a2000@gmail.com"
+APPROVED="dsomero"